/************************************************************
**
**       COPYRIGHT (C) 2005 CZECH TECHNICAL UNIVERSITY
**       COPYRIGHT (C) 2004-2005 Martin Kucera
**                  ALL RIGHTS RESERVED
**
**        This software is distributed on an as-is basis
**        with no warranty implied or intended.  No author
**        or distributor takes responsibility to anyone 
**        regarding its use of or suitability.
**
**        The software may be distributed and modified 
**        freely for academic and other non-commercial
**        use but may NOT be utilized or included in whole
**        or part within any commercial product.
**
**        This copyright notice must remain on all copies 
**        and modified versions of this software.
**
************************************************************/

#ifndef BENCH_FORMAT_H
#define BENCH_FORMAT_H


#define TOKEN_EQUAL	"="
#define TOKEN_L_BRACKET	"("
#define TOKEN_R_BRACKET	")"
#define TOKEN_COMMA		","
#define TOKEN_NEW_LINE	"\n"
#define TOKEN_HASH		"#"


/*
** VHDL token declarations
*/
#define TOKEN_INPUT		"INPUT"		/* Token for external input port declaration     */
#define TOKEN_OUTPUT	"OUTPUT"	/* Token for external output port declaration    */

/*
** Gate type definition
*/
#define GATE_AND_STR	"AND"
#define GATE_OR_STR		"OR"
#define GATE_NAND_STR	"NAND"
#define GATE_NOR_STR	"NOR"
#define GATE_XOR_STR	"XOR"
#define GATE_NOT_STR	"NOT"
#define GATE_DFF_STR	"DFF"
#define GATE_BUF_STR	"BUF"




#endif //#ifndef BENCH_FORMAT_H
